org.apache.xmlgraphics.java2d

## Class StrokingTextHandler

- java.lang.Object
- - org.apache.xmlgraphics.java2d.StrokingTextHandler

- All Implemented Interfaces:
    TextHandler

      public class StrokingTextHandler
      extends java.lang.Object
      implements TextHandler

  Default TextHandler implementation which paints text using graphics primitives (shapes).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrokingTextHandler()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawString(java.awt.Graphics2D g2d, java.lang.String text, float x, float y)` Draw some text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrokingTextHandler

          public StrokingTextHandler()

      Default constructor.

  - ### Method Detail

    - #### drawString

          public void drawString(java.awt.Graphics2D g2d,
                                 java.lang.String text,
                                 float x,
                                 float y)
                          throws java.io.IOException

      Draw some text.
      Specified by:
        `drawString` in interface `TextHandler`
      Parameters:
        `g2d` - the graphics 2D implementation
        `text` - the text to paint
        `x` - the x-coordinate where the `String` should be rendered
        `y` - the y-coordinate where the `String` should be rendered
      Throws:
        `java.io.IOException` - In case of an I/O error

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.